<?php
/**
* Additional Woocommerce Settings.
*
* @package Travel Destination
*/

$travel_destination_default = travel_destination_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'travel_destination_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'travel-destination' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'travel_destination_theme_option_panel',
	)
);

	$wp_customize->add_setting('travel_destination_per_columns',
		array(
		'default'           => $travel_destination_default['travel_destination_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'travel_destination_sanitize_number_range',
		)
	);
	$wp_customize->add_control('travel_destination_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'travel-destination'),
		'section'     => 'travel_destination_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('travel_destination_product_per_page',
		array(
		'default'           => $travel_destination_default['travel_destination_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'travel_destination_sanitize_number_range',
		)
	);
	$wp_customize->add_control('travel_destination_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'travel-destination'),
		'section'     => 'travel_destination_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('travel_destination_show_hide_related_product',
    array(
        'default' => $travel_destination_default['travel_destination_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'travel_destination_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('travel_destination_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'travel-destination'),
	        'section' => 'travel_destination_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('travel_destination_custom_related_products_number',
		array(
		'default'           => $travel_destination_default['travel_destination_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'travel_destination_sanitize_number_range',
		)
	);
	$wp_customize->add_control('travel_destination_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'travel-destination'),
		'section'     => 'travel_destination_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('travel_destination_custom_related_products_number_per_row',
		array(
		'default'           => $travel_destination_default['travel_destination_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'travel_destination_sanitize_number_range',
		)
	);
	$wp_customize->add_control('travel_destination_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'travel-destination'),
		'section'     => 'travel_destination_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);